Skip to content

Create Webhook

POST
/webhooks

Create a new webhook subscription. Returns the secret (only shown once).

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

object
environment
Any of:
string
Allowed values: live sandbox
events
required

Event types to subscribe to

Array<string>
field_filters
Any of:
object
key
additional properties
Array<string>
name
Any of:
string
url
required

Target URL for webhook delivery

string

Responses

201

Successful Response

object
data
required
object
created_at
Any of:
string
environment

‘live’ or ‘sandbox’: which events this subscription receives.

string
default: live
events
Array<string>
default:
field_filters
Any of:
object
key
additional properties
Array<string>
id
required
string
is_active
boolean
default: true
name
Any of:
string
secret
Any of:
string
updated_at
Any of:
string
url
required
string
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string